com.streambase.sb.monitor

## Class SystemInfo.GCInfo

- java.lang.Object
- - com.streambase.sb.monitor.SystemInfo.GCInfo

- All Implemented Interfaces:
    Cloneable
  Enclosing class:
    SystemInfo

      public static class SystemInfo.GCInfo
      extends Object
      implements Cloneable

  Information about GC collectors in the JVM

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GCInfo(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `long` | `getGCCount()` Returns the total number of collections that have occurred since the JVM started.
    `long` | `getGCCountDelta()` Returns the number of collections that have occurred since the previous Snapshot.
    `long` | `getGCTimeMS()` Returns the approximate accumulated collection elapsed time in milliseconds since the JVM started.
    `long` | `getGCTimeMSDelta()` Returns the approximate collection time in milliseconds for this cycle.
    `String` | `getName()` Get the JVM name for the garbage collector

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GCInfo

          public GCInfo(String name)

  - ### Method Detail

    - #### getName

          public String getName()

      Get the JVM name for the garbage collector
      Returns:
        The JVM name for the garbage collector
      Since:
        7.1.0

    - #### getGCCount

          public long getGCCount()

      Returns the total number of collections that have occurred since the JVM started. This method returns -1 if the collection count is undefined for this collector.
      Returns:
        the total number of collections that have occurred.
      Since:
        7.1.0

    - #### getGCCountDelta

          public long getGCCountDelta()

      Returns the number of collections that have occurred since the previous Snapshot. This method returns -1 if the collection count is undefined for this collector.
      Returns:
        number of collections done in this cycle
      Since:
        7.1.0

    - #### getGCTimeMS

          public long getGCTimeMS()

      Returns the approximate accumulated collection elapsed time in milliseconds since the JVM started. This method returns -1 if the collection elapsed time is undefined for this collector.
      Returns:
        the approximate accumulated collection elapsed time in milliseconds.
      Since:
        7.1.0

    - #### getGCTimeMSDelta

          public long getGCTimeMSDelta()

      Returns the approximate collection time in milliseconds for this cycle. This method returns -1 if the collection elapsed time is undefined for this collector.
      Returns:
        the approximate collection time in milliseconds done in this cycle
      Since:
        7.1.0

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.